Get Profile
curl --request GET \
--url https://api.scraper.creatorlookup.com/v1/instagram/profile \
--header 'x-api-key: <api-key>'import requests
url = "https://api.scraper.creatorlookup.com/v1/instagram/profile"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.scraper.creatorlookup.com/v1/instagram/profile', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"username": "<string>",
"full_name": "<string>",
"biography": "<string>",
"follower_count": 123,
"following_count": 123,
"media_count": 123,
"profile_pic_url": "<string>",
"is_verified": true,
"is_business": true,
"is_professional_account": true,
"is_private": true,
"category": {},
"category_enum": {},
"external_url": {},
"contact_email": {},
"contact_phone": {},
"bio_emails": [
"<string>"
],
"bio_links": [
{
"url": "<string>",
"title": "<string>",
"link_type": "<string>"
}
],
"highlight_reel_count": 123,
"fbid": {},
"business_address": {
"street_address": "<string>",
"city_name": "<string>",
"zip_code": "<string>",
"latitude": 123,
"longitude": 123
}
},
"credits_used": 123,
"credits_remaining": 123
}Instagram
Get Profile
Retrieve an Instagram user’s profile data
GET
/
v1
/
instagram
/
profile
Get Profile
Request
Headers
| Name | Required | Description |
|---|---|---|
x-api-key | Yes | Your API key |
Query parameters
string
required
The Instagram username to look up (without the @ symbol).
Response
object
Show InstagramProfile
Show InstagramProfile
string
Instagram numeric user ID
string
Instagram username
string
Display name
string
Bio text
number
Number of followers
number
Number of accounts followed
number
Total posts
string
Profile picture URL
boolean
Whether the account has a verified badge
boolean
Whether this is a business/creator account
boolean
Whether account is a professional/creator account
boolean
Whether account is private
string | null
Human-readable business category (e.g., “Product/service”)
string | null
Machine-readable category (e.g., “SPORTSWEAR_STORE”, “CREATOR”)
string | null
Website URL from bio
string | null
Public contact email
string | null
Public contact phone
string[]
Email addresses extracted from biography text
object[]
number
Number of story highlights
string | null
Linked Facebook page ID
number
Credits deducted (1)
number
Remaining credit balance
Examples
curl -H "x-api-key: sk-your-api-key" \
"https://api.scraper.creatorlookup.com/v1/instagram/profile?username=instagram"
const res = await fetch(
"https://api.scraper.creatorlookup.com/v1/instagram/profile?username=instagram",
{ headers: { "x-api-key": "sk-your-api-key" } }
);
const { data, credits_used, credits_remaining } = await res.json();
console.log(data.username); // "instagram"
console.log(data.follower_count); // 676000000
console.log(data.is_verified); // true
import requests
res = requests.get(
"https://api.scraper.creatorlookup.com/v1/instagram/profile",
params={"username": "instagram"},
headers={"x-api-key": "sk-your-api-key"},
)
data = res.json()["data"]
print(data["username"]) # "instagram"
print(data["follower_count"]) # 676000000
print(data["is_verified"]) # True
200 — Success
{
"data": {
"id": "13460080",
"username": "nike",
"full_name": "Nike",
"biography": "Just Do It.",
"follower_count": 298148257,
"following_count": 240,
"media_count": 1626,
"profile_pic_url": "https://scontent.cdninstagram.com/...",
"is_verified": true,
"is_business": true,
"is_professional_account": true,
"is_private": false,
"category": null,
"category_enum": "SPORTSWEAR_STORE",
"external_url": "http://empli.fi/nike",
"contact_email": null,
"contact_phone": null,
"bio_emails": [],
"bio_links": [
{
"url": "http://empli.fi/nike",
"title": "",
"link_type": "external"
}
],
"highlight_reel_count": 5,
"fbid": "17841400602400210",
"business_address": {
"street_address": "One Bowerman Dr",
"city_name": "Beaverton, Oregon",
"zip_code": "97005",
"latitude": 45.5076448,
"longitude": -122.8269159
}
},
"credits_used": 1,
"credits_remaining": 9999
}
402 — Insufficient credits
{
"error": {
"code": "INSUFFICIENT_CREDITS",
"message": "This endpoint requires 1 credits, you have 0"
}
}
502 — Scrape failed
{
"error": {
"code": "SCRAPE_FAILED",
"message": "User not found or profile is private"
}
}
504 — Timeout
{
"error": {
"code": "TIMEOUT",
"message": "Scraping request timed out"
}
}
⌘I